package com.qiaoba.api.tenant.enums;

import lombok.Getter;

/**
 * 租户状态
 *
 * @author ailanyin
 * @version 1.0
 * @since 2023/6/5 16:33
 */
@Getter
public enum TenantStatusEnum {

    /**
     * 禁用
     */
    DISABLE("0", "禁用"),

    /**
     * 过期
     */
    EXPIRE("2", "过期");


    private final String status;
    private final String info;

    TenantStatusEnum(String code, String info) {
        this.status = code;
        this.info = info;
    }

    public static Boolean isDisable(String status) {
        return DISABLE.status.equals(status);
    }

    public static Boolean isExpire(String status) {
        return EXPIRE.status.equals(status);
    }
}
